package com.example.brunoagrizzi.bluetoothevologica;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;

import com.example.brunoagrizzi.bluetoothevologica.common.activities.SampleActivityBase;
import com.example.brunoagrizzi.bluetoothevologica.common.logger.Log;
import com.example.brunoagrizzi.bluetoothevologica.common.logger.LogFragment;
import com.example.brunoagrizzi.bluetoothevologica.common.logger.LogWrapper;
import com.example.brunoagrizzi.bluetoothevologica.common.logger.MessageOnlyLogFilter;

public class BluetoothEvologica extends SampleActivityBase {

    public static final String TAG = "MainActivity";

    // log de mensagem mostrada
    private boolean mLogShown;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_bluetooth_evologica);
    }

    /*@Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }*/

    @Override
    public void initializeLogging() {
        // Wraps Android's native log framework.
        LogWrapper logWrapper = new LogWrapper();
        // Using Log, front-end to the logging chain, emulates android.util.log method signatures.
        Log.setLogNode(logWrapper);

        // Filter strips out everything except the message text.
        MessageOnlyLogFilter msgFilter = new MessageOnlyLogFilter();
        logWrapper.setNext(msgFilter);

        // On screen logging via a fragment with a TextView.
        LogFragment logFragment = (LogFragment) getSupportFragmentManager()
                .findFragmentById(R.id.log_fragment);
        msgFilter.setNext(logFragment.getLogView());

        Log.i(TAG, "Ready");
    }
}
